routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/prueba',function(){
	return view('user.home');
}); 

Route::get('/usuario',function(){
	return view('user.pages.user.show');
}); 
Route::get('/centro',function(){
	return view('user.pages.production.show');
}); 

Route::get('/editarc',function(){
	return view('user.pages.production.edit');
}); 

Route::get('/fc',function(){
	return view('user.pages.finance.create');
}); 

Route::get('/fe',function(){
	return view('user.pages.finance.edit');
}); 

Route::get('/fi',function(){
	return view('user.pages.finance.index');
}); 

Route::get('/fsm',function(){
	return view('user.pages.finance.showmonth');
}); 
Route::get('/fsy',function(){
	return view('user.pages.finance.showyear');
}); 


Route::get('/tc',function(){
	return view('user.pages.technical.create');
}); 

Route::get('/te',function(){
	return view('user.pages.technical.edit');
}); 

Route::get('/ti',function(){
	return view('user.pages.technical.index');
}); 

Route::get('/ts',function(){
	return view('user.pages.technical.show');
}); 





Route::get('/',function(){
	return view('auth.login');
}); 

Auth::routes(['verify'=>true]);

Route::group(['middleware'=>['auth','user:Encargado-Administrador'],'as' => 'user.'], function(){
	Route::get('/','HomeController@user_index')->name('inicio');

	Route::resource('responsable/finance','Responsable\FinanceController');
	Route::resource('responsable/production','Responsable\ProductionController');
	Route::resource('responsable/user','Responsable\UserController');
	Route::resource('responsable/technical','Responsable\TechnicalController');
	Route::post('responsable/upload_excel','Responsable\FinanceController@upload_excel')->name('finance.upload_excel');
	Route::post('responsable/technical/{technical}','Responsable\TechnicalconditionController@store')->name('technicalcondition.store');



});


Route::group(['middleware' => ['auth','user:Administrador'], 'as' => 'admin.'], function(){
	Route::get('/home','HomeController@index')->name('home');

	//Producione
	Route::resource('production','ProductionController');
	Route::get('production/{production}/update_all','ProductionController@update_all')->name('production.update_all');
	//Finance
	Route::get('finance/{production}/show_detail','FinanceController@show_detail')->name('finance.show_detail');
	Route::post('finance/upload_excel','FinanceController@upload_excel')->name('finance.upload_excel');
	Route::resource('finance','FinanceController');


	Route::resource('technical','TechnicalController');
	Route::get('technical/{technical}/downloadPDF','TechnicalController@downloadPDF')->name('technical.downloadPDF');

	Route::resource('technicalcondition','TechnicalconditionController');
	Route::post('technical/{technical}','TechnicalconditionController@store')->name('technicalcondition.store');


	Route::resource('event','EventController');
	//Period
	Route::resource('period','PeriodController');
	//user
	Route::resource('user','UserController');
	Route::get('user/{user}/assign_role','UserController@assign_role')->name('user.assign_role');
	Route::post('user/{user}/role_assignment','UserController@role_assignment')->name('user.role_assignment');
	Route::get('user/{user}/assign_permission','UserController@assign_permission')->name('user.assign_permission');
	Route::post('user/{user}/permission_assignment','UserController@permission_assignment')->name('user.permission_assignment');
	Route::post('user/{user}/update_all','UserController@update_all')->name('user.update_all');


	Route::resource('role','RoleController'); 
	Route::resource('permission','PermissionController');
});



Route::get('/clear-cache', function() {
    Artisan::call('cache:clear');
    Artisan::call('config:cache');
    return "Cache is cleared";
});

resources/views/admin/layouts/includes/box.blade.php
<div class="row">

	<a class="form-control" href="{{ route('admin.user.show', $user ) }}">{{ $user->name.", ".$user->surname }}</a>
	<a class="form-control" href="{{ route('admin.user.assign_role', $user ) }}">Roles</a>
	<a class="form-control" href="{{ route('admin.user.assign_permission',$user ) }}">Permisos</a>

</div>

resources/views/admin/layouts/includes/footer.blade.php
<script src="{{ asset('lib/jquery/jquery.min.js') }}"></script>

  <script src="{{ asset('lib/bootstrap/js/bootstrap.min.js') }}"></script>
  <script class="include" type="text/javascript" src="{{ asset('lib/jquery.dcjqaccordion.2.7.js') }}"></script>
  <script src="{{ asset('lib/jquery.scrollTo.min.js') }}"></script>
  <script src="{{ asset('lib/jquery.nicescroll.js') }}" type="text/javascript"></script>
  <script src="{{ asset('lib/jquery.sparkline.js') }}"></script>
  <!--common script for all pages-->
  <script src="{{ asset('lib/common-scripts.js') }}"></script>
  <script type="text/javascript" src="{{ asset('lib/gritter/js/jquery.gritter.js') }}"></script>
  <script type="text/javascript" src="{{ asset('lib/gritter-conf.js') }}"></script>
  <!--script for this page-->
  <script src="{{ asset('lib/sparkline-chart.js') }}"></script>
  <script src="{{ asset('lib/zabuto_calendar.js') }}"></script>

<script src="https://unpkg.com/sweetalert2@7.18.0/dist/sweetalert2.all.js"></script>
@include('sweetalert::alert')

@yield('footer')

resources/views/admin/layouts/includes/header.blade.php
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="">
<meta name="author" content="Dashboard">
<meta name="keyword" content="Dashboard, Bootstrap, Admin, Template, Theme, Responsive, Fluid, Retina">
<link href="{{ asset('css/app.css') }}" rel="stylesheet">
<link href="{{ asset('lib/bootstrap/css/bootstrap.min.css') }}" rel="stylesheet">

<link href="{{ asset('css/zabuto_calendar.css') }}" rel="stylesheet">
<link href="{{ asset('lib/font-awesome/css/font-awesome.css') }}" rel="stylesheet">
<link href="{{ asset('lib/gritter/css/jquery.gritter.css') }}" rel="stylesheet">
<link href="{{ asset('css/style.css') }}" rel="stylesheet">
<link href="{{ asset('css/style-responsive.css') }}" rel="stylesheet">


<script type="text/javascript" src="{{ asset('lib/chart-master/Chart.js') }}"></script>




@yield('header')

resources/views/admin/layouts/includes/navbar.blade.php
<header class="header black-bg">
  <div class="sidebar-toggle-box">
    <div class="fa fa-bars tooltips" data-placement="right" data-original-title="Toggle Navigation"></div>
  </div>
  <!--logo start-->
  <a href="{{ route('admin.home') }}" class="logo"><b>SISTEMA<span>DOC</span></b></a>
  <!--logo end-->
  <div class="nav notify-row" id="top_menu">
    <!--  notification start -->
    <ul class="nav top-menu">
      <!-- settings start -->
      <li class="dropdown">
        <a data-toggle="dropdown" class="dropdown-toggle" href="index.html#">
          <i class="fa fa-tasks"></i>
          <span class="badge bg-theme">4</span>
          </a>
        <ul class="dropdown-menu extended tasks-bar">
          <div class="notify-arrow notify-arrow-green"></div>
          <li>
            <p class="green">You have 4 pending tasks</p>
          </li>
          <li>
            <a href="index.html#">
              <div class="task-info">
                <div class="desc">Dashio Admin Panel</div>
                <div class="percent">40%</div>
              </div>
              <div class="progress progress-striped">
                <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 40%">
                  <span class="sr-only">40% Complete (success)</span>
                </div>
              </div>
            </a>
          </li>
          <li>
            <a href="index.html#">
              <div class="task-info">
                <div class="desc">Database Update</div>
                <div class="percent">60%</div>
              </div>
              <div class="progress progress-striped">
                <div class="progress-bar progress-bar-warning" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 60%">
                  <span class="sr-only">60% Complete (warning)</span>
                </div>
              </div>
            </a>
          </li>
          <li>
            <a href="index.html#">
              <div class="task-info">
                <div class="desc">Product Development</div>
                <div class="percent">80%</div>
              </div>
              <div class="progress progress-striped">
                <div class="progress-bar progress-bar-info" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100" style="width: 80%">
                  <span class="sr-only">80% Complete</span>
                </div>
              </div>
            </a>
          </li>
          <li>
            <a href="index.html#">
              <div class="task-info">
                <div class="desc">Payments Sent</div>
                <div class="percent">70%</div>
              </div>
              <div class="progress progress-striped">
                <div class="progress-bar progress-bar-danger" role="progressbar" aria-valuenow="70" aria-valuemin="0" aria-valuemax="100" style="width: 70%">
                  <span class="sr-only">70% Complete (Important)</span>
                </div>
              </div>
            </a>
          </li>
          <li class="external">
            <a href="#">See All Tasks</a>
          </li>
        </ul>
      </li>
      <!-- settings end -->
      <!-- inbox dropdown start-->
      <li id="header_inbox_bar" class="dropdown">
        <a data-toggle="dropdown" class="dropdown-toggle" href="index.html#">
          <i class="fa fa-envelope-o"></i>
          <span class="badge bg-theme">5</span>
          </a>
        <ul class="dropdown-menu extended inbox">
          <div class="notify-arrow notify-arrow-green"></div>
          <li>
            <p class="green">You have 5 new messages</p>
          </li>
          <li>
            <a href="index.html#">
              <span class="photo"><img alt="avatar" src="img/ui-zac.jpg"></span>
              <span class="subject">
              <span class="from">Zac Snider</span>
              <span class="time">Just now</span>
              </span>
              <span class="message">
              Hi mate, how is everything?
              </span>
              </a>
          </li>
          <li>
            <a href="index.html#">
              <span class="photo"><img alt="avatar" src="img/ui-divya.jpg"></span>
              <span class="subject">
              <span class="from">Divya Manian</span>
              <span class="time">40 mins.</span>
              </span>
              <span class="message">
              Hi, I need your help with this.
              </span>
              </a>
          </li>
          <li>
            <a href="index.html#">
              <span class="photo"><img alt="avatar" src="img/ui-danro.jpg"></span>
              <span class="subject">
              <span class="from">Dan Rogers</span>
              <span class="time">2 hrs.</span>
              </span>
              <span class="message">
              Love your new Dashboard.
              </span>
              </a>
          </li>
          <li>
            <a href="index.html#">
              <span class="photo"><img alt="avatar" src="img/ui-sherman.jpg"></span>
              <span class="subject">
              <span class="from">Dj Sherman</span>
              <span class="time">4 hrs.</span>
              </span>
              <span class="message">
              Please, answer asap.
              </span>
              </a>
          </li>
          <li>
            <a href="index.html#">See all messages</a>
          </li>
        </ul>
      </li>
      <!-- inbox dropdown end -->
      <!-- notification dropdown start-->
      <li id="header_notification_bar" class="dropdown">
        <a data-toggle="dropdown" class="dropdown-toggle" href="index.html#">
          <i class="fa fa-bell-o"></i>
          <span class="badge bg-warning">7</span>
          </a>
        <ul class="dropdown-menu extended notification">
          <div class="notify-arrow notify-arrow-yellow"></div>
          <li>
            <p class="yellow">You have 7 new notifications</p>
          </li>
          <li>
            <a href="index.html#">
              <span class="label label-danger"><i class="fa fa-bolt"></i></span>
              Server Overloaded.
              <span class="small italic">4 mins.</span>
              </a>
          </li>
          <li>
            <a href="index.html#">
              <span class="label label-warning"><i class="fa fa-bell"></i></span>
              Memory #2 Not Responding.
              <span class="small italic">30 mins.</span>
              </a>
          </li>
          <li>
            <a href="index.html#">
              <span class="label label-danger"><i class="fa fa-bolt"></i></span>
              Disk Space Reached 85%.
              <span class="small italic">2 hrs.</span>
              </a>
          </li>
          <li>
            <a href="index.html#">
              <span class="label label-success"><i class="fa fa-plus"></i></span>
              New User Registered.
              <span class="small italic">3 hrs.</span>
              </a>
          </li>
          <li>
            <a href="index.html#">See all notifications</a>
          </li>
        </ul>
      </li>
      <!-- notification dropdown end -->
    </ul>
    <!--  notification end -->
  </div>
  <div class="top-menu">
    <ul class="nav pull-right top-menu">
      <li>
        <a href="{{ route('user.inicio') }}" class="logout"> Modo Usuario </a>
      </li>
      <li><a class=" logout bg-danger"  href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Salir</a>
        <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
          @csrf
        </form>
      </li>
    </ul>
  </div>
</header>

resources/views/admin/layouts/includes/sidebar.blade.php
 <aside>
  <div id="sidebar" class="nav-collapse ">
    <!-- sidebar menu start-->
    <ul class="sidebar-menu" id="nav-accordion">
      <p class="centered"><a href="{{ route('admin.user.show',Auth::user()) }}"><img src="/storage/{{Auth::user()->src}}" class="img-circle" width="50" height="50" ></a></p>
      <h5 class="centered">{{ Auth::user()->name }}</h5>
      <li class="mt">
        <a class="@yield('home')" href="{{ route('admin.home') }}">
          <i class="fa fa-home"></i>
          <span>Inicio</span>
          </a>
      </li>
      <li>
        <a class="@yield('production')" href="{{ route('admin.production.index') }}">
          <i class="fa fa-building-o"></i>
          <span>Gestión Producción </span>
          </a>
      </li>
      <li class="sub-menu ">
        <a class="@yield('user')"  href="javascript:;" >
          <i class="fa fa-user"></i>
          <span>Gestion Usuarios</span>
          </a>
        <ul class="sub " >
          <li class="@yield('admin')"><a href="{{ route('admin.user.index') }}">Usuario</a></li>
          <li class="@yield('permission')"><a href="{{ route('admin.permission.index') }}">Permisos</a></li>
          <li class="@yield('role')"><a href="{{ route('admin.role.index') }}">Roles</a></li>
        </ul>
      </li>
      <li class="sub-menu">
        <a class="@yield('document')" href="javascript:;">
          <i class="fa fa-file-o"></i>
          <span>Gestión Documento</span>
          </a>
        <ul class="sub">
          <li class="@yield('finance')" ><a href="{{ route('admin.finance.index') }}">Doc. Financiero</a></li>
          <li class="@yield('technical')"><a href="{{ route('admin.technical.index') }}">Doc. Tecnicos</a></li>

        </ul>
      </li>
      <li>
        <a class="@yield('period')" href="{{ route('admin.period.index') }}">
          <i class="fa fa-calendar-o"></i>
          <span>Gestión Cronograma </span>
          </a>
      </li>
      <li>
        <a class="@yield('event')" href="{{ route('admin.event.index') }}">
          <i class="fa fa-calendar-check-o"></i>
          <span>Gestión Eventos </span>
          </a>
      </li>
      <li>
        <a class="@yield('history')" href="{{ route('admin.production.index') }}">
          <i class="fa fa-history"></i>
          <span>Historial </span>
          </a>
      </li>
    <!-- sidebar menu end-->
  </div>
</aside>

<!--  <script type="text/javascript">
    $(document).ready(function() {
      var unique_id = $.gritter.add({
        // (string | mandatory) the heading of the notification
        title: 'Welcome to Dashio!',
        // (string | mandatory) the text inside the notification
        text: 'Hover me to enable the Close Button. You can hide the left sidebar clicking on the button next to the logo. Developed by <a href="http://alvarez.is" target="_blank" style="color:#4ECDC4">Alvarez.is</a>.',
        // (string | optional) the image to display on the left
        image: 'img/ui-sam.jpg',
        // (bool | optional) if you want it to fade out on its own or just sit there
        sticky: false,
        // (int | optional) the time you want it to be alive for before fading out
        time: 8000,
        // (string | optional) the class name you want to apply to that specific message
        class_name: 'my-sticky-class'
      });

      return false;
    });
  </script>
  <script type="application/javascript">
    $(document).ready(function() {
      $("#date-popover").popover({
        html: true,
        trigger: "manual"
      });
      $("#date-popover").hide();
      $("#date-popover").click(function(e) {
        $(this).hide();
      });

      $("#my-calendar").zabuto_calendar({
        action: function() {
          return myDateFunction(this.id, false);
        },
        action_nav: function() {
          return myNavFunction(this.id);
        },
        ajax: {
          url: "show_data.php?action=1",
          modal: true
        },
        legend: [{
            type: "text",
            label: "Special event",
            badge: "00"
          },
          {
            type: "block",
            label: "Regular event",
          }
        ]
      });
    });

    function myNavFunction(id) {
      $("#date-popover").hide();
      var nav = $("#" + id).data("navigation");
      var to = $("#" + id).data("to");
      console.log('nav ' + nav + ' to: ' + to.month + '/' + to.year);
    }
  </script>

 -->